
function serverCmdDoMissingIcons(%client) {
	if(!%client.isAdmin) return;
	echo("doing all missing icons!");
	doAllMissingIcons(0);
}

function doAllMissingIcons(%pos) {
	if(isObject($iconBrick))
		$iconBrick.delete();
	
	while(%pos < getDatablockGroupSize()) {
		%db = getDatablock(%pos);
		%pos++;
		if(%db.getClassName()$="fxDtsBrickData" &&
			%db.uiName!$="" &&
			%db.category !$= "" && %db.subCategory !$= "" &&
			!isFile(%db.iconName)
		) {
			talk(%db.getName());
			break;
		} else {
			%db = "";
		}
	}
	if(isObject(%db)) {
		$iconBrick = new fxDtsBrick() {
			datablock = %db;
			isPlanted = 1;
		};
		$iconBrick.setTransform("0 10 -1005 0 0 1 -1.57");
		schedule(3000, 0, doIconScreenshot);
		if(%pos<getDatablockGroupSize())
			schedule(3500, 0, doAllMissingIcons, %pos);
	}
}
